## org.eclipse.amp.agf.chart
Class ChartEditPart.DataLineSeries

    java.lang.Object
      LineSeriesImpl
          org.eclipse.amp.agf.chart.ChartEditPart.DataLineSeries

Enclosing class:
  ChartEditPart

     class ChartEditPart.DataLineSeries

extends LineSeriesImpl

The Class DataLineSeries.

Field Summary
`(package private) java.lang.Object` `valueSet`

Constructor Summary
`ChartEditPart.DataLineSeries(java.lang.Object valueSet)` Instantiates a new data line series.

Method Summary
`protected void` `initialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valueSet

    java.lang.Object valueSet

Constructor Detail

### ChartEditPart.DataLineSeries

    public ChartEditPart.DataLineSeries(java.lang.Object valueSet)

  Instantiates a new data line series.

  Parameters:
    `valueSet` - the value set

Method Detail

### initialize

    protected void initialize()

  See Also:
    `org.eclipse.birt.chart.model.type.impl.LineSeriesImpl#initialize()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors